#ifndef COMMFUNCTIONS_H_
#define COMMFUNCTIONS_H_

#include "types.h"


/* fr float to Raw */
typedef union{
    float    value;
    char     raw[sizeof(float)];
}float_to_raw;


extern int32_t rawByteArrayToInt32(uint8_t data[], uint8_t offset); 
extern void int32ToRawByteArray(int32_t data, uint8_t buffpos, uint8_t buff[]);

extern int16_t rawByteArrayToInt16(uint8_t data[], uint8_t offset);
extern void int16ToRawByteArray(int16_t data, uint8_t buffpos, uint8_t buff[]);

extern int8_t rawByteArrayToInt8(uint8_t data[], uint8_t offset);
extern void int8ToRawByteArray(int8_t data, uint8_t buffpos, uint8_t buff[]);

extern float rawByteArrayToFloat(uint8_t data[], uint8_t offset);
extern void floatToRawByteArray(float data, uint8_t buffpos, uint8_t buff[]); 


#endif /*COMMFUNCTIONS_H_*/
