#include <stdio.h>

#include "types.h"
#include "commfunctions.h"

int main(void)
{
	int8_t i;
	
	char buffer[255];
	
	int8_t zahl1 = 21;
	int16_t zahl2 = -312;
	int32_t zahl3 = -66400;
	int8_t erg1=0;
	int16_t erg2=0;
	int32_t erg3=0;
	
	int8ToRawByteArray(zahl1,0,buffer);
	int16ToRawByteArray(zahl2,4,buffer);
	int32ToRawByteArray(zahl3,8,buffer);
	
	erg1 = rawByteArrayToInt8(buffer,0);
	erg2 = rawByteArrayToInt16(buffer,4);
	erg3 = rawByteArrayToInt32(buffer,8);
	
	printf("Test der Funktionen\n");

	printf("Ergebnis1: %d\n", erg1);
	printf("Ergebnis2: %d\n", erg2);
	printf("Ergebnis3: %ld\n", erg3);
	
		
	float zahl4 = 3.213f;
	float erg4 = 0.0f;
	
	floatToRawByteArray(zahl4,12,buffer);
	erg4 = rawByteArrayToFloat(buffer,12);
	
	for(i=0; i<4; i++)
		printf("Ergebnis4: %0x\n",(uint8_t)buffer[12+i]);
		
	printf("Ergebnis4: %f\n", erg4);	
	
	return 0;
}
